%define builtin_release_version 5%{builtin_release_variant}
%define builtin_release_name Tikanga
%define builtin_release_variant Server
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}
%define current_arch %{_arch}
%ifarch i386
%define current_arch x86
%endif
Summary:  Enterprise Linux release notes files
Name: enterprise-release-notes
Version: %{real_release_version}
Release: 27
License: GPL
Group: System Environment/Base
Source: enterprise-release-notes-%{builtin_release_version}.tar.gz
Obsoletes: indexhtml  redhat-release-notes
BuildRoot: %{_tmppath}/enterprise-release-notes-root
Provides: indexhtml redhat-release-notes

%description
Enterprise Linux release notes files.

%prep
%setup -q -n enterprise-release-notes-%{builtin_release_version}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}
cp -rf  $RPM_BUILD_DIR/enterprise-release-notes-%{builtin_release_version}/HTML $RPM_BUILD_ROOT%{_defaultdocdir}/.
#install -m 644 -d $RPM_BUILD_DIR/redhat-release-notes-%{builtin_release_version}/HTML $RPM_BUILD_ROOT%{_defaultdocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{current_arch}/R*
%doc %{current_arch}/blafdoc.css
%{_defaultdocdir}/HTML

%changelog
* Wed Sep 17 2014 Tianyue Lan <tianyue.lan@oracle.com> 5-27
- Updated release notes for 5.11

* Wed Oct 02 2013 Srinivas Maturi <srinivas.maturi@oracle.com> 5-26
- Updated release notes for 5.10

* Mon Jan 14 2013 Kevin Lyons <kevin.x.lyons@oracle.com> 5-25
- Fix typos [bug 16133637]

* Fri Jan 11 2013 Tianyue Lan <tianyue.lan@oracle.com> 5-24
- Updated release notes for 5.9

* Wed Jan 09 2013  Keshav Sharma <keshav.sharma@oracle.com> 5-23
- Updated release notes for 5.9

* Thu Feb 23 2012  Keshav Sharma <keshav.sharma@oracle.com> 5-22
- Updated release notes for 5.8

* Wed Jul 27 2011 Tianyue Lan <tianyue.lan@oracle.com> 5-21
- Fix one typo

* Wed Jul 25 2011  Keshav Sharma <keshav.sharma@oracle.com> 5-20
- Updated release notes for 5.7

* Wed Jan 19 2011  Keshav Sharma <keshav.sharma@oracle.com> 5-19
- Updated release notes

* Tue Jan 18 2011  Keshav Sharma <keshav.sharma@oracle.com> 5-18
- Updated release notes

* Thu Apr 02 2010  Keshav Sharma <keshav.sharma@oracle.com> 5-17
- Updated html release notes to use utf-8 charset.

* Thu Apr 01 2010  Keshav Sharma <keshav.sharma@oracle.com> 5-16
- Updated README Files
- Updated release notes for OEL 5.5

* Thu Sep 04 2009  Keshav Sharma <keshav.sharma@oracle.com> 5-15
- Updated README Files

* Thu Sep 03 2009  Keshav Sharma <keshav.sharma@oracle.com> 5-14
- Updated release notes for OEL 5.4
- Updated README files
- Added ia64 release notes and readme.

* Sun Jan 25 2009  Keshav Sharma <keshav.sharma@oracle.com> 5-12
- Updated release notes. 

* Thu Jan 22 2009  Keshav Sharma <keshav.sharma@oracle.com> 5-11
- Updated release notes for OEL 5.3

* Tue May 27 2008  Keshav Sharma <keshav.sharma@oracle.com> 5-10
- Updated release notes 

* Fri May 23 2008  Keshav Sharma <keshav.sharma@oracle.com> 5-9
- Updated release notes for el5u2

* Wed Nov 14 2007  Keshav Sharma <keshav.sharma@oracle.com> 5-8
- Updated release notes for el5u1

* Tue Jun 12 2007  Keshav Sharma <keshav.sharma@oracle.com> 5-7
- Updated release notes.

* Thu Jun 07 2007  Keshav Sharma <keshav.sharma@oracle.com> 5-6
- Updated Readme and release notes.

* Thu May 23 2007  Keshav Sharma <keshav.sharma@oracle.com> 5-5
- Created

